## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSequenceFinishQuestRewardFactory Struct Reference

This interface is implemented by the reward that finishes a sequence. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the name of the entity containing the pcquest property class on which this reward will work.
virtual void | SetSequenceParameter (const char *sequence)=0
| Set the name of the sequence.

## Detailed Description

This interface is implemented by the reward that finishes a sequence.

You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this reward type is 'cel.questreward.sequencefinish'.

In XML, factories recognize the following attributes on the 'op' node:

- entity: the name of the entity containing the pcquest property class.
- entity_tag: optional tag used to find the right property class from the entity.
- sequence: the name of the sequence.

Definition at line 1414 of file questmanager.h.

## Member Function Documentation

virtual void iSequenceFinishQuestRewardFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0`
| ) | `[pure virtual]`

Set the name of the entity containing the pcquest property class on which this reward will work.

Parameters:

  | entity | is the name of the entity or a parameter (starts with '$').
  | tag | is the optional tag of the entity or a parameter (starts with '$').

virtual void iSequenceFinishQuestRewardFactory::SetSequenceParameter | ( | const char * | sequence | ) | `[pure virtual]`

Set the name of the sequence.

Parameters:

  | sequence | is the name of the sequence or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h